org.gradle.ide.visualstudio

## Interface TextConfigFile

- All Superinterfaces:
    ConfigFile

      @Incubating
      public interface TextConfigFile
      extends ConfigFile

  A plain text config file generated for Visual Studio.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `withContent(Action<? super TextProvider> action)` Add an action that can manipulate the generated file content.

    - ### Methods inherited from interface org.gradle.ide.visualstudio.ConfigFile

      `getLocation, setLocation`

- - ### Method Detail

    - #### withContent

          void withContent(Action<? super TextProvider> action)

      Add an action that can manipulate the generated file content.